Retrieve all CWT credential configurations
Roles
Analytics Events
/v2/credentials/compact/configurationsReturns a list of all CWT credential configurations from your tenant.
Analytic events
- CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_START
- CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
The optional credential type to filter on
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact/configurations"{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "claimMappings": { "property1": { "mapFrom": "string", "required": true, "defaultValue": "string" }, "property2": { "mapFrom": "string", "required": true, "defaultValue": "string" } }, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 } } ]}How would you rate this page?
Create a CWT credential configuration POST
Creates a new CWT credential configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued. ### **Analytic events** * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_START * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_FAIL
Retrieve a CWT credential configuration GET
Returns a CWT credential configuration by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_START * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_FAIL